Status: Feedback

Priority: Normal

Assignee:

Category: Editing

Affected QGIS version:master Regression?: No
Operating System: Ubuntu 16.04.2 Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 25259
Description

The node tool, selection happens without regard to the visibility of the object. In the simple case (procedure 1), you can simply set the
layer to invisible and show that object selection is still possible. In a more complex case (procedure 2), a portion of a layer is made
invisible (with categorized style rules).

With the existing node tool, procedure one is a bit unnatural, because you can only select features on the currently selected layer. The

second procedure is a much more natural use case.
One or both of these cases may be OBE by the new node tool in 3.0.

Procedure 1:

1. Create a polygon scratch layer

2. Edit the layer

3. Select add feature and insert an object

4. Select the "Node Tool"

5. Toggle layer visibility to hide it

6. Click where a node would be on the newly hidden object

Procedure 2:

. Create a polygon scratch layer

. Edit the layer

. Select add feature and insert two objects

. Select "Open Attribute table"

Add a new column and categorize each of the objects uniquely (e.g. 1, 2, ..)

. Select the "Node Tool"

. In Properties / Style, set the style to be categorized by the new column and hit "classify’
. Unselect one of the categories

. Click where a node would be on the newly hidden object

Expected

Visible objects are selectable, but invisible objects are not.

Actual

In both cases, the objects which aren't visible are selected to edit.

History

#1 - 2017-10-30 07:24 PM - Ryan Desmond

| just compiled the latest master (commit b3ef4da2c05e4c7c8b140a747875f138d88dc95a from Mon Oct 30 21:13:26 2017 +1000). | found that with the

new "Node Tool":
- Procedure 1 is fixed and OBE

- Procedure 2 is still a problem

#2 - 2017-10-30 10:38 PM - Ryan Desmond

Also, the new node tool is very well done. Thank you for the hard work, it's awesome.

#3 - 2017-11-02 12:55 PM - Giovanni Manghi
- Affected QGIS version changed from 2.18.13 to master

I'm pushing this to master as | don't really see anyone fixing this in 2.18 at this point.

#4 - 2018-02-26 06:16 PM - Ryan Desmond

With 3.0 was just released, | validated this and wanted to update the procedure to recreate with the new language:

Procedure
1. Create a scratch layer
2. Edit the layer
3. Select add feature and insert two or more objects
4. Select "Open Attribute table"
5. Add a new column and categorize the objects into two or more groups (e.g. "1", "2", etc)
6. In "Properties" / "Symbology", set the style to be categorized by the new column and hit "classify"
7. Go back to the canvas and unselect one of the categories
8. Select the "Vertex Tool"
9. Drag a box around where nodes are on the invisible object

Expected

Visible objects are editable, but invisible objects are not.

Actual

All objects can be edited with the node tool.

#5 - 2019-03-09 04:28 PM - Giovanni Manghi
- Status changed from Open to Feedback

Please check if this issue is still valid on QGIS 3.4.5 or 3.6.
